searchData={"items":[{"type":"module","title":"TableKitty","doc":"Documentation for `TableKitty`.","ref":"TableKitty.html"},{"type":"function","title":"TableKitty.build/2","doc":"Builds IO data with the generated table.\n\nThis function receives a valid tabular data, like a list\nof maps, or a keyword list with keys as column names and values as\nlist of values for each column.","ref":"TableKitty.html#build/2"},{"type":"function","title":"Examples - TableKitty.build/2","doc":"iex> {:ok, iodata} = TableKitty.build([a: [1, 2], b: [4, 6]])\n    iex> IO.iodata_to_binary(iodata)\n    \"\"\"\n    +---+---+\n    | a | b |\n    +===+===+\n    | 1 | 4 |\n    +---+---+\n    | 2 | 6 |\n    +---+---+\n    \"\"\"\n\n    iex> {:ok, iodata} = TableKitty.build([%{a: 1, b: 4}, %{a: 2, b: 6}])\n    iex> IO.iodata_to_binary(iodata)\n    \"\"\"\n    +---+---+\n    | a | b |\n    +===+===+\n    | 1 | 4 |\n    +---+---+\n    | 2 | 6 |\n    +---+---+\n    \"\"\"","ref":"TableKitty.html#build/2-examples"},{"type":"function","title":"TableKitty.print/2","doc":"Print the table if the same is valid.\n\nTo see options go to `build/2`.","ref":"TableKitty.html#print/2"},{"type":"module","title":"TableKitty.DefaultFormatter","doc":"The default formatter that can display Elixir terms.","ref":"TableKitty.DefaultFormatter.html"},{"type":"function","title":"TableKitty.DefaultFormatter.format/2","doc":"The default format function.\n\nIt receives a map that has a `:context` field,\na `:value`, and may have more keys.","ref":"TableKitty.DefaultFormatter.html#format/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.0"}}